#ifndef _SCANNER_H
#define _SCANNER_H

/*
 *  Copyright (c) Thomas Faehnle 1994  (Thomas.Faehnle@student.uni-ulm.de)
 *  Copyright (c) Andreas Beck   1994  (becka@hp.rz.uni-duesseldorf.de)
 *
 *  scanner.h,v 1.4 1994/04/13 21:23:40 blurf Exp
 */


struct modeinfo_struct {
  unsigned short dpi;		/* resolution */
  unsigned short bpl;		/* bytes per scanline */
};

struct registers_struct {
  int regnum;			/* relative Register index */
  unsigned char data;		/* data read/written */
};  

struct scanner_type {
  char manufacturer[20],model[20];
};

					/* magic ioctl numbers */
#define HSIOCGSCT		0x73e9	/* Get Scanner Type */
#define HSIOCGMOD               0x73ea  /* Get modeinfo */
#define HSIOCSMOD		0x73eb  /* Set modeinfo - be careful ! */
#define HSIOCGREG		0x73ec	/* play with strange registers */ 
#define HSIOCSREG		0x73ef
#define HSIOCGBUF		0x73f0	/* get/set current buffer size (scanlines) */
#define HSIOCSBUF		0x73f1
#define HSIOCSSTH		0x73f2  /* get/set select(2) threshold (scanlines) */
#define HSIOCGSTH		0x73f3

#endif /* _SCANNER_H */
